# org.apache.ignite.internal.processors.configuration.distributed

## Interfaces

- DistributedChangeableProperty
- DistributedConfigurationLifecycleListener
- DistributedProperty
- DistributedPropertyDispatcher
- DistributePropertyListener
- PropertyUpdateClosure

## Classes

- DistributedBooleanProperty
- DistributedComparableProperty
- DistributedConfigurationProcessor
- DistributedEnumProperty
- DistributedLongProperty
- SimpleDistributedProperty

## Exceptions

- DetachedPropertyException
- NotWritablePropertyException